diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 5f2cc03..12aa2ce 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -120521,10 +120521,12 @@ PatternMatchIntegration(R, F): Exports == Implementation where
     pmb := new pm
 
     c := optional(pmc::F)
-    w := suchThat(optional(pmw::F), empty? variables #1)
-    s := suchThat(optional(pms::F), empty? variables #1 and real? #1)
+    w := suchThat(optional(pmw::F), 
+      (x1:F):Boolean +-> empty? variables x1)
+    s := suchThat(optional(pms::F), 
+      (x1:F):Boolean +-> empty? variables x1 and real? x1)
     m := suchThat(optional(pmm::F),
-                    (retractIfCan(#1)@Union(Z,"failed") case Z) and #1 >= 0)
+      (x1:F):Boolean+->(retractIfCan(x1)@Union(Z,"failed") case Z) and x1 >= 0)
 
     spi := sqrt(pi()$F)
 
@@ -120619,8 +120621,9 @@ PatternMatchIntegration(R, F): Exports == Implementation where
            matchdilog(f, x) ==
              n := numer f
              df := (d := denom f)::F
-             for k in select_!(gooddilog?(#1, n, d), variables n)$List(K) repeat
-               not empty?(l := matchdilog0(f, k, x, n, df)) => return l
+             for k in select_!(
+              (x1:K):Boolean +-> gooddilog?(x1,n,d),variables n)$List(K) repeat
+                 not empty?(l := matchdilog0(f, k, x, n, df)) => return l
              empty()
 
 -- matches the integral to a result of the form d * dilog(a) + int(v)
@@ -120637,8 +120640,9 @@ PatternMatchIntegration(R, F): Exports == Implementation where
 -- returns [u,d,v] or []
            matchli(f, x) ==
              d := denom f
-             for k in select_!(goodlilog?(#1, d), variables d)$List(K) repeat
-               not empty?(l := matchli0(f, k, x)) => return l
+             for k in select_!(
+               (x1:K):Boolean+->goodlilog?(x1,d), variables d)$List(K) repeat
+                 not empty?(l := matchli0(f, k, x)) => return l
              empty()
 
 -- matches the integral to a result of the form d * li(a) + int(v)
@@ -120759,7 +120763,8 @@ PatternMatchIntegration(R, F): Exports == Implementation where
            pmintegrate(f, x, a, b) ==
 --             zero? a and one? whatInfinity b =>
              zero? a and ((whatInfinity b) = 1) =>
-               formula1(f, x, constant(x::F), suchThat(c, freeOf?(#1, x)))
+               formula1(f, x, constant(x::F), 
+                 suchThat(c, (x1:F):Boolean +-> freeOf?(x1, x)))
              "failed"
 
 @
diff --git a/changelog b/changelog
index cee0e43..1f3044d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090610 tpd src/axiom-website/patches.html 20090610.03.tpd.patch
+20090610 tpd books/bookvol10.4 INTPM +-> conversion
 20090610 tpd src/axiom-website/patches.html 20090610.02.tpd.patch
 20090610 tpd books/bookvol10.4 PMINS +-> conversion
 20090610 tpd src/axiom-website/patches.html 20090610.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index bbb355b..dc2a0b6 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1535,5 +1535,7 @@ bookvol10.4 PATTERN1 +-> conversion<br/>
 bookvol10.4 PMFS +-> conversion<br/>
 <a href="patches/20090610.02.tpd.patch">20090610.02.tpd.patch</a>
 bookvol10.4 PMINS +-> conversion<br/>
+<a href="patches/20090610.03.tpd.patch">20090610.03.tpd.patch</a>
+bookvol10.4 INTPM +-> conversion<br/>
  </body>
 </html>
